/* ZBOSS Zigbee 3.0
 *
 * Copyright (c) 2012-2018 DSR Corporation, Denver CO, USA.
 * http://www.dsr-zboss.com
 * http://www.dsr-corporation.com
 * All rights reserved.
 *
 *
 * Use in source and binary forms, redistribution in binary form only, with
 * or without modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions in binary form, except as embedded into a Nordic
 *    Semiconductor ASA integrated circuit in a product or a software update for
 *    such product, must reproduce the above copyright notice, this list of
 *    conditions and the following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 2. Neither the name of Nordic Semiconductor ASA nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * 3. This software, with or without modification, must only be used with a Nordic
 *    Semiconductor ASA integrated circuit.
 *
 * 4. Any software provided in binary form under this license must not be reverse
 *    engineered, decompiled, modified and/or disassembled.
 *
 * THIS SOFTWARE IS PROVIDED BY NORDIC SEMICONDUCTOR ASA "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL NORDIC SEMICONDUCTOR ASA OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PURPOSE: UART transport globals
*/

#ifndef ZB_TRANSPORT_GLOBALS_H
#define ZB_TRANSPORT_GLOBALS_H 1

/*! @cond internals_doc */
/*! \addtogroup ZB_MAC_TRANSPORT */
/*! @{ */

#ifdef ZB_TRANSPORT_8051
#include "zb_transport_8051.h"
#endif

#ifdef ZB_TRANSPORT_LINUX_SPIDEV
#include "zb_transport_linux_spidev.h"
#endif

#ifdef ZB_TRANSPORT_CORTEXM3_SPIDEV
#include "zb_cortexm3_usart.h"
#include "zb_cortexm3_spi.h"
#include "zb_transport_cortexm3.h"
#endif

#ifdef ZB_TRANSPORT_CORTEXM4_SPIDEV_CC120x
#include "zb_cortex_sub_ghz_usart.h"
#include "zb_cortex_sub_ghz_spi.h"
#include "zb_transport_cortex_sub_ghz.h"
#endif

#ifdef ZB_CC2520
#include "zb_cortex_m4.h"
#include "zb_transport_cortexm4.h"
#endif

#ifdef ZB_NSNG
#include "zb_nsng.h"
#endif

/* 07/12/2017 EE CR:MINOR Do you really need both defines? */

#if defined(ZB_NCP_TRANSPORT_TYPE_SPI) || \
  defined(ZB_NCP_TRANSPORT_TYPE_UART)
#include "zb_ncp_transport.h"
#endif /* NCP_MODE */

/*! @} */
/*! @endcond */

#endif /* ZB_TRANSPORT_GLOBALS_H */
